version: "3.7"
services:
  mealie:
    image: ghcr.io/mealie-recipes/mealie:v1.0.0-RC1.1
    container_name: mealie
    ports:
        - "80:9000" # 
    deploy:
      resources:
        limits:
          memory: 1000M # 
    volumes:
      - mealie-data://home/mpmtechcompany/public_html/recipe.mpmtechcompany.com
    environment:
    # Set Backend ENV Variables Here
      - ALLOW_SIGNUP=true
      - PUID=1000
      - PGID=1000
      - TZ=EST
      - MAX_WORKERS=1
      - WEB_CONCURRENCY=1
      - BASE_URL=https://recipe.mpmtechcompany.com
    restart: always

volumes:
  mealie-data:
    driver: local
